diff --git a/src/backend/commands/extension.c b/src/backend/commands/extension.c
index 2d84ac8..f04db3d 100644
--- a/src/backend/commands/extension.c
+++ b/src/backend/commands/extension.c
@@ -1394,12 +1394,12 @@ CreateExtension(CreateExtensionStmt *stmt)
 		 */
 		List	   *search_path = fetch_search_path(false);
 
-		if (search_path == NIL) /* probably can't happen */
-			elog(ERROR, "there is no default creation target");
+		if (search_path == NIL) /* none of the schemas in search_path exist/writable? */
+			elog(ERROR, "no schemas in search_path are available for CREATE EXTENSION");
 		schemaOid = linitial_oid(search_path);
 		schemaName = get_namespace_name(schemaOid);
 		if (schemaName == NULL) /* recently-deleted namespace? */
-			elog(ERROR, "there is no default creation target");
+			elog(ERROR, "no schemas in search_path are available for CREATE EXTENSION");
 
 		list_free(search_path);
 	}
